import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const cityGetProvinces = createAsyncThunk(
  "CITY_GET_PROVINCES",
  async (_, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("province");
    dispatch(LOADING_END());
    return { data, status };
  }
);
